Bug 561019 - Blueman shouldn't require HAL
Blueman shouldn't require HAL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-02 09:09 EST by Elad Alfassa
Modified: 2011-09-13 01:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: blueman-1.21-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-13 01:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2010-02-02 09:09:55 EST
The blueman package in fedora depends on hal, but it shouldn't be that way according to this page: http://blueman-project.org/downloads.html
you can see that hal isn't in the deplist.
so just remove the dependency from the spec file.
Comment 1 Bug Zapper 2010-11-03 19:15:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Oliver Henshaw 2010-12-15 13:26:02 EST
Apart from smolt, this is the only thing keeping HAL on the kde spin.

Tested on kde-x86_64-20101214.16.iso (with blueman 1.21-6.fc15)
Comment 3 Elad Alfassa 2011-03-15 09:21:20 EDT
you really should do something about it:

http://lists.fedoraproject.org/pipermail/devel/2011-March/149538.html

in short: hal is going to be orphaned soon in fedora 15, and is going to be retired in rawhide.
Comment 4 Elad Alfassa 2011-03-15 10:36:29 EDT
Further examination reveals that Blueman require HAL only for the "NMIntegration" plugins, and for that it also has to be built with --enable-hal (doesn't appear in the spec) and list hal-devel as BuildRequires (also doesn't appear on the spec)!

Meaning the the line Requires: hal is not needed. 

You can see in the spec change log, that HAL was disabled long ago, and I think the Require line just left behind, forgotten. 

Same case for PolicyKit-gnome dependency (bug #668156), although blueman in fedora is compiled with --disable-polkit, the spec file lists PolicyKit-gnome as a dependency.
Comment 5 Elad Alfassa 2011-03-16 06:48:01 EDT
Sent email to the maintainer. Maybe now he'll stop ignoring.
Comment 6 Fedora Update System 2011-03-16 12:46:00 EDT
blueman-1.21-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/blueman-1.21-7.fc14
Comment 7 Fedora Update System 2011-03-16 12:56:12 EDT
blueman-1.21-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/blueman-1.21-8.fc15
Comment 8 Nicola Soranzo 2011-06-16 06:10:14 EDT
The submitted updates have never been pushed to stable.
Comment 9 Fedora Update System 2011-09-13 01:49:32 EDT
blueman-1.21-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.